*, *::after, *::before {
    box-sizing: border-box;
}

:root {
    font:1.2em/1.4 Arial, Helvetica, sans-serif;
}

body {
    padding: 0 0 1em;
}
.container{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    /*display: flex;
    flex-wrap: wrap;*/
    background-color: #333;
    color: #fff;
    border: 5px solid #000;
}

header ul {
    list-style: none;
    margin: 0;
    padding: 0;
    /*display: flex;
    flex-wrap: wrap;*/
}

header a {

    color: #fff;
    text-decoration: none;
    display: block;
    padding: 0.5em 1em;
    border-top: 1px solid #999;
}

header .title {
    font-size: 150%;
    font-style: italic;
    font-weight: bold;
    padding: 1em;
}

main {
    padding: 0 1em;
}

.cards {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 1rem;
}

.cards li {
    flex-basis: 30%;
    border: 5px solid #000;
    margin-bottom: 1em;
}

.cards h2 {
    background-color: #333;
    color: #fff;
    margin: 0;
    padding: 0.5em 1em;
}

.cards .inner {
    padding: 0.5em 1em;
}

.sidebar {
    float: none;
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
}
@media(min-width: 40em) {
    header {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        ul{
            display: flex;
            flex-wrap: nowrap;
        }
        a{
            border-top: 0;
        }
    }
    main{
        display: flex;

        .sidebar{
            margin: 1rem;
            margin-inline-end: 0;
            width: 150%;
        }
    }
}